"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _ = require("underscore");
var React = require("react");
var form_1 = require("../form");
var classNames_1 = require("../../../utilities/classNames");
var CheckboxInput = (function (_super) {
    tslib_1.__extends(CheckboxInput, _super);
    function CheckboxInput() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CheckboxInput.prototype.render = function () {
        var id = form_1.generateUniqueId(function (u) { return "checkbox_" + u; });
        var validationMessage = this.props["data-validation-message"];
        var classes = classNames_1.ClassHelpers.classNames("armstrong-input", "checkbox", this.props.className, {
            "show-validation": (this.props.validationMode !== "none" && validationMessage)
        });
        return (React.createElement("div", { className: classes },
            React.createElement("input", tslib_1.__assign({ id: id }, _.omit(this.props, "labelContent", "validationMode"), { type: "checkbox" })),
            React.createElement("label", { htmlFor: id }),
            React.createElement("label", { className: "checkbox-label", htmlFor: id }, this.props.labelContent)));
    };
    CheckboxInput.defaultProps = {
        validationMode: "none"
    };
    return CheckboxInput;
}(React.Component));
exports.CheckboxInput = CheckboxInput;
