/// <reference types="react" />
import * as React from "react";
export interface IBurgerMenuProps {
    buttonIcon?: string;
    bodyId?: string;
    closeOnNavigate?: boolean;
    burgerButtonHidden?: boolean;
    onMenuToggle?: (sender: BurgerMenu) => any;
    mode?: "push" | "slide";
    children?: React.ReactNode;
}
export declare class BurgerMenu extends React.Component<IBurgerMenuProps, {}> {
    private appNode;
    private portalNode;
    private menuId;
    isOpen: boolean;
    constructor();
    toggleMenu(): void;
    closeMenu(): void;
    openMenu(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(newProps: IBurgerMenuProps): void;
    componentDidMount(): void;
    renderToPortal(element: JSX.Element): void;
    unmountPortalNode(): boolean;
    private closeNav(e, handler);
    renderNav(children: React.ReactNode): JSX.Element;
    render(): JSX.Element;
}
export interface IBurgerMenuItemProps extends React.Props<BurgerMenuItem> {
    title: string;
    icon?: string;
    onClick?: () => void;
    style?: any;
    delayActionMs?: number;
    active?: boolean;
}
export declare class BurgerMenuItem extends React.Component<IBurgerMenuItemProps, {}> {
    handleClick(handler: any): void;
    render(): JSX.Element;
}
